<template>
    <q-card class="phone-item" bordered flat>

        <q-card-section :horizontal="windowWidth > 670" style="width:100%;">
            <q-card-section class="detail-section" :style="windowWidth > 670 ? 'width: 25%' : ''">
                <q-item-label><b>{{ conference.Name }}</b></q-item-label>
                <q-item-label>{{ date }}</q-item-label>
            </q-card-section>

            <q-card-section class="detail-section" style="flex-grow: 1;">
                <q-item-label overline>{{ $t('billing.booking_head') }}</q-item-label>
                <q-item-label>{{ $t('billing.session_details', [conference.LengthMins, conference.MaxCapacity])
                }}</q-item-label>
            </q-card-section>

            <q-card-section class="detail-section" style="flex-grow: 1;">
                <q-item-label overline>{{ $t('billing.trunk_head') }}</q-item-label>
                <q-item-label>{{ conference.DropCallJoinNumber }}</q-item-label>
            </q-card-section>

            <q-card-section class="detail-section" style="flex-grow: 1;">
                <q-item-label overline>{{ $t('billing.call_time_head') }}</q-item-label>
                <q-item-label>{{ $t('billing.call_time', [(conference.totalTime || 0).toFixed()]) }}</q-item-label>
            </q-card-section>

            <q-card-section class="detail-section" style="flex-grow: 1;">
                <q-item-label overline>{{ $t('billing.cost_head') }}</q-item-label>
                <q-item-label>{{ getCostString(conference.total || 0) }}</q-item-label>
            </q-card-section>
        </q-card-section>


        <q-card-section class="detail-section">
            <q-expansion-item expand-separator icon="groups" :label="dropdownString">
                <q-list separator>
                    <q-item v-for="(p, key) in conference.Participants || {}" :key="key">
                        <q-item-section>
                            <q-item-label overline>{{ $t('billing.name') }}</q-item-label>
                            <q-item-label>{{ p.Name }}</q-item-label>
                        </q-item-section>
                        <q-item-section>
                            <q-item-label overline>{{ $t('billing.phone') }}</q-item-label>
                            <q-item-label>{{ key }}</q-item-label>
                        </q-item-section>
                        <q-item-section>
                            <q-item-label overline>{{ $t('billing.call_time_head') }}</q-item-label>
                            <q-item-label>{{ getMinsString(p.TotalCallTime) }}</q-item-label>
                        </q-item-section>
                        <q-item-section>
                            <q-item-label overline>{{ $t('billing.call_rate_head') }}</q-item-label>
                            <q-item-label>{{ getCostString(p.Rate) }}</q-item-label>
                        </q-item-section>
                        <q-item-section>
                            <q-item-label overline>{{ $t('billing.call_cost_head') }}</q-item-label>
                            <q-item-label>{{ getCostString(p.Cost || 0) }}</q-item-label>
                        </q-item-section>
                    </q-item>
                </q-list>
            </q-expansion-item>
        </q-card-section>


    </q-card>
</template>
 
<script>
import moment from 'moment'

export default {
    props: {
        conference: {
            required: true
        },
        windowWidth: {
            required: true
        }
    },
    computed: {
        date()
        {
            return moment(this.conference.ScheduledStart).format('DD/MM/YY');
        },
        dropdownString()
        {
            const numParticipants = Object.keys(this.conference.Participants).length;
            return this.$t(numParticipants == 1 ?
                'billing.caller_dropdown' : 'billing.callers_dropdown', [numParticipants])
        }
    },
    methods: {
        getCostString(total)
        {
            const formatter = new Intl.NumberFormat('en-GB', {
                style: 'currency',
                currency: 'USD',
            });

            return formatter.format(total);
        },
        getMinsString(millis)
        {
            return this.$t('billing.call_time', [((millis || 0) / 1000 / 60).toFixed(1)]);
        }
    }
};
</script>
<style scoped>
.phone-item {
    width: 100%;
    padding: 15px;
}

.text-overline {
    letter-spacing: normal;
}


.detail-section {
    padding-top: 5px;
    padding-bottom: 5px;
}
</style>